EmptyLocation (Xerces2 Implementation)
Keywords: org.apache.xerces.stax.EmptyLocation class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.stax
Class EmptyLocation

    java.lang.Object
      org.apache.xerces.stax.EmptyLocation

All Implemented Interfaces:
  javax.xml.stream.Location

    public final class EmptyLocation

extends java.lang.Object
implements javax.xml.stream.Location

Location which always returns `-1` and `null` from its methods.

Version:
  $Id: EmptyLocation.java 730444 2008-12-31 19:11:29Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Method Summary
`int` | `getCharacterOffset()` Return the byte or character offset into the input source this location is pointing to.
`int` | `getColumnNumber()` Return the column number where the current event ends, returns -1 if none is available.
`static EmptyLocation` | `getInstance()` Returns the one and only instance of this class.
`int` | `getLineNumber()` Return the line number where the current event ends, returns -1 if none is available.
`java.lang.String` | `getPublicId()` Returns the public ID of the XML
`java.lang.String` | `getSystemId()` Returns the system ID of the XML

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EmptyLocation getInstance()

  Returns the one and only instance of this class.

### getLineNumber

    public int getLineNumber()

  Return the line number where the current event ends, returns -1 if none is available.

  Specified by:
    `getLineNumber` in interface `javax.xml.stream.Location`
  Returns:
    the current line number

### getColumnNumber

    public int getColumnNumber()

  Return the column number where the current event ends, returns -1 if none is available.

  Specified by:
    `getColumnNumber` in interface `javax.xml.stream.Location`
  Returns:
    the current column number

### getCharacterOffset

    public int getCharacterOffset()

  Return the byte or character offset into the input source this location is pointing to. If the input source is a file or a byte stream then this is the byte offset into that stream, but if the input source is a character media then the offset is the character offset. Returns -1 if there is no offset available.

  Specified by:
    `getCharacterOffset` in interface `javax.xml.stream.Location`
  Returns:
    the current offset

### getPublicId

    public java.lang.String getPublicId()

  Returns the public ID of the XML

  Specified by:
    `getPublicId` in interface `javax.xml.stream.Location`
  Returns:
    the public ID, or null if not available

### getSystemId

    public java.lang.String getSystemId()

  Returns the system ID of the XML

  Specified by:
    `getSystemId` in interface `javax.xml.stream.Location`
  Returns:
    the system ID, or null if not available

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.